TRACE_BLOCK_RQ_COMPL(9)

NAME
trace_block_rq_complete - block IO operation completed by device driver

SYNOPSIS

void trace_block_rq_complete(struct request_queue * q, struct request * rq, unsigned int nr_bytes);

ARGUMENTS

q
    queue containing the block operation request

rq
    block operations request

nr_bytes
    number of completed bytes

DESCRIPTION

The block_rq_complete tracepoint event indicates that some portion of operation request has been completed by the device driver. If the rq->bio is NULL, then there is absolutely no additional work to do for the request. If rq->bio is non-NULL then there is additional work required to complete the request.

AUTHORS

Jason Baron <jbaron@redhat.com>
    Author.

William Cohen <wcohen@redhat.com>
    Author.

COPYRIGHT